WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Anydesk  (Read 5748 times)

Offline Rabie

  • Sr. Member
  • ****
  • Posts: 251
Re: Anydesk
« Reply #60 on: December 24, 2021, 09:01:53 AM »
Hi Rich,

Quote
... this time i got the error "double free or corruption (fasttop)" without running it as root ...
I just realized, you're still running as root. The anydesk.trace file you posted on December 20 shows this:

you are very right with that, so i went back to find out what i did back then.
this is what i found out:
Quote
Hi Rabie
Install  dbus.tcz  and start it like this:
Code: [Select]
sudo /usr/local/etc/ init.d/dbus start

See if that makes those  dbus  errors go away.

i wrote this line in /opt/bootlocal  "sudo /usr/local/etc/ init.d/dbus start"
so the warnings go away, but i didn't realize, that after dbus start, anydesk is defaulting to root.

so i stoped dbus and startet anydesk again and anydesk is defaulting to /home/tc but with those errors (See Attachments):
Code: [Select]
tc@box:/opt/anydesk-6.0.1$ ./anydesk

(process:18470): GLib-GObject-WARNING **: 16:41:21.333: invalid (NULL) pointer instance

(process:18470): GLib-GObject-CRITICAL **: 16:41:21.333: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(process:18470): GLib-GObject-WARNING **: 16:41:21.333: invalid (NULL) pointer instance

(process:18470): GLib-GObject-CRITICAL **: 16:41:21.333: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(process:18474): GLib-GObject-WARNING **: 16:41:21.352: invalid (NULL) pointer instance

(process:18474): GLib-GObject-CRITICAL **: 16:41:21.352: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(process:18474): GLib-GObject-WARNING **: 16:41:21.352: invalid (NULL) pointer instance

(process:18474): GLib-GObject-CRITICAL **: 16:41:21.352: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
/home/tc/.gtkrc-2.0:16: error: scanner: unknown error
/home/tc/.gtkrc-2.0:16: error: scanner: unknown error
/home/tc/.gtkrc-2.0:16: error: scanner: unknown error
/home/tc/.gtkrc-2.0:16: error: scanner: unknown error

(anydesk:18470): GLib-GObject-CRITICAL **: 16:41:21.460: g_object_set: assertion 'G_IS_OBJECT (object)' failed

(anydesk:18470): GLib-GObject-CRITICAL **: 16:41:21.462: g_object_set: assertion 'G_IS_OBJECT (object)' failed
sh: lsb_release: not found
double free or corruption (fasttop)
maybe i should start dbus as a normal user

edit:


Code: [Select]
tc@box:/opt/anydesk-6.0.1$ /usr/ local /etc/ init.d / dbus start
tc@box:/opt/anydesk-6.0.1$
tc@box:/opt/anydesk-6.0.1$ ./anydesk
(process:23146): GLib-GObject-WARNING **: 17:20:12.929: invalid (NULL) pointer instance
(process:23146): GLib-GObject-CRITICAL **: 17:20:12.929: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed
(process:23146): GLib-GObject-WARNING **: 17:20:12.929: invalid (NULL) pointer instance
(process:23146): GLib-GObject-CRITICAL **: 17:20:12.929: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

« Last Edit: December 24, 2021, 09:35:42 AM by Rabie »

Offline Rabie

  • Sr. Member
  • ****
  • Posts: 251
Re: Anydesk
« Reply #61 on: December 24, 2021, 09:09:00 AM »
Quote
On your Ubuntu system, make a copy of the  .anydesk  directory:

#tar -czf anydeskDir.tar.gz .anydesk
and attach  anydeskDir.tar.gz  to your next post.

Also, what does this command return:
id

From the Ubuntu machine:
Code: [Select]
user@ubuntu:~$ id
uid=1000(user) gid=1000(user) groups=1000(user),4(adm),24(cdrom),27(sudo),30(dip),46(plugdev),120(lpadmin),131(lxd),132(sambashare)

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13848
Re: Anydesk
« Reply #62 on: December 25, 2021, 06:14:14 AM »
maybe i should start dbus as a normal user

When you start dbus as root, it will fallback to user tc once started.

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10210
Re: Anydesk
« Reply #63 on: December 25, 2021, 07:17:53 PM »
Hi Rabie
I decided to see If I could get anydesk to run on Tinycore version 10 x86.
I downloaded and unpacked  anydesk-6.0.1-i386.tar.gz  which is the latest 32 bit version.

I download these missing dependencies from the Ubuntu repository:
Code: [Select]
tc@E310:~/AnyDesk$ ls -l *.deb
-rw-r--r-- 1 tc staff  75348 Dec 25 14:01 libgtkglext1_1.2.0-8_i386.deb
-rw-r--r-- 1 tc staff  43780 Dec 25 20:25 libpangox-1.0-0_0.0.2-5.1_i386.deb
-rw-r--r-- 1 tc staff  38452 Dec 25 14:35 libpolkit-gobject-1-0_0.105-20ubuntu0.18.04.5_i386.deb
-rw-r--r-- 1 tc staff 224260 Dec 25 19:26 libsystemd0_237-3ubuntu10.50_i386.deb
tc@E310:~/AnyDesk$
I unpacked and copied the libraries to  /usr/local/lib  and ran  sudo ldconfig.

My system starts  dbus  from  bootlocal.sh, and as Juanito stated, ownership reverts to user tc:
Code: [Select]
tc@E310:~/AnyDesk$ ps aux | grep system
tc        7715  0.0  0.0   1704   320 pts/9    S+   20:58   0:00 grep system
tc        8960  0.0  0.0   2376  1588 ?        Ss   Oct12   0:00 /usr/local/bin/dbus-daemon --system
tc@E310:~/AnyDesk$

It spits out a few warnings/errors, but it starts:
Code: [Select]
tc@E310:~/AnyDesk/anydesk-6.0.1-i386/anydesk-6.0.1$ ./anydesk
No UTF-8. Trying to change locale.
C.UTF-8: not available.
Locale sucessfully changed.
No UTF-8. Trying to change locale.
C.UTF-8: not available.
Locale sucessfully changed.
No UTF-8. Trying to change locale.
C.UTF-8: not available.
Locale sucessfully changed.

(anydesk:7478): Gtk-CRITICAL **: 19:53:29.190: IA__gtk_widget_set_tooltip_markup: assertion 'GTK_IS_WIDGET (widget)' failed

(anydesk:7478): Gtk-CRITICAL **: 19:53:29.207: IA__gtk_widget_set_tooltip_markup: assertion 'GTK_IS_WIDGET (widget)' failed

(anydesk:7478): Gtk-CRITICAL **: 19:53:29.229: IA__gtk_signal_connect_full: assertion 'GTK_IS_OBJECT (object)' failed

(anydesk:7478): Gtk-CRITICAL **: 19:53:29.229: IA__gtk_signal_connect_full: assertion 'GTK_IS_OBJECT (object)' failed
sh: lsb_release: not found
sh: lsb_release: not found
tc@E310:~/AnyDesk/anydesk-6.0.1-i386/anydesk-6.0.1$ double free or corruption (fasttop)
After I exit the program, the command prompt returns. 10 seconds after that, the  double free  error appears.



I attached a copy of the  anydesk.trace  file it created if that's of interested.

Maybe some of what I did will help in some way.
« Last Edit: December 26, 2021, 07:30:09 AM by Rich »

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13848
Re: Anydesk
« Reply #64 on: December 26, 2021, 12:33:00 AM »
If x86 starts, perhaps you need a symlink /lib64 -> /lib for x86_64?

Offline xor

  • Hero Member
  • *****
  • Posts: 1167
Re: Anydesk
« Reply #65 on: December 26, 2021, 12:59:51 AM »
MultiLib ! :) :D

Offline Rabie

  • Sr. Member
  • ****
  • Posts: 251
Re: Anydesk
« Reply #66 on: December 26, 2021, 07:15:36 AM »
Quote
I unpacked and copied the libraries to  /usr/local/lib  and ran  sudo ldconfig.

Hi Rich,
OMG i am going crazy, i decided to install tinycore 32x again as a fresh start and do exactly what you did.
I also downloaded the latest virsion of anydesk: anydesk-6.0.1-i386.tar.gz

I downloaded all deb from here:
http://archive.ubuntu.com/ubuntu/ubuntu/ubuntu/ubuntu/pool/
and copied them like that:

Code: [Select]
tc@box:~/anydesk-6.0.1$ sudo cp -a /opt/ubuntu_deb/libpangox/usr/lib/i386-linux-gnu/libpangox-1.0.so.0* /usr/local/lib
tc@box:~/anydesk-6.0.1$ sudo cp -a /opt/ubuntu_deb/libpolkit/usr/lib/i386-linux-gnu/libpolkit-gobject-1.so.0* /usr/local/lib
tc@box:~/anydesk-6.0.1$ sudo cp -a /opt/ubuntu_deb/libsystemd0/lib/i386-linux-gnu/libsystemd.so.0* /usr/local/lib
tc@box:~/anydesk-6.0.1$ sudo cp -a /opt/ubuntu_deb/libgtkglext/usr/lib/i386-linux-gnu/libg* /usr/local/lib
tc@box:~/anydesk-6.0.1$
tc@box:~/anydesk-6.0.1$ sudo ldconfig
ldconfig: /usr/local/lib/libpangox-1.0.so.0 is not a symlink
ldconfig: /usr/local/lib/libpolkit-gobject-1.so.0 is not a symlink
ldconfig: /usr/local/lib/libsystemd.so.0 is not a symlink
ldconfig: /usr/local/lib/libgdkglext-x11-1.0.so.0 is not a symlink
ldconfig: /usr/local/lib/libgtkglext-x11-1.0.so.0 is not a symlink
tc@box:~/anydesk-6.0.1$
tc@box:~/anydesk-6.0.1$

did you get that with ldconfig ?

Code: [Select]
tc@box:~/anydesk-6.0.1$ ./anydesk
No UTF-8. Trying to change locale.
C.UTF-8: not available.
en_US.UTF-8: not available.
Couldn't set the locale to UTF-8.
No UTF-8. Trying to change locale.
C.UTF-8: not available.
en_US.UTF-8: not available.
Couldn't set the locale to UTF-8.
No UTF-8. Trying to change locale.
C.UTF-8: not available.
en_US.UTF-8: not available.
Couldn't set the locale to UTF-8.

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.129: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.132: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.132: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.132: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.154: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.154: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.155: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.155: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): Gtk-CRITICAL **: 16:07:10.155: IA__gtk_widget_set_tooltip_markup: assertion 'GTK_IS_WIDGET (widget)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.158: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.158: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.158: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.158: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): Gtk-CRITICAL **: 16:07:10.158: IA__gtk_widget_set_tooltip_markup: assertion 'GTK_IS_WIDGET (widget)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.159: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.159: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.159: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.159: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.159: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.159: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.160: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.160: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.160: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.160: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.160: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.160: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.160: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.160: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.160: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.160: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): Gtk-CRITICAL **: 16:07:10.164: IA__gtk_signal_connect_full: assertion 'GTK_IS_OBJECT (object)' failed

(anydesk:8113): Gtk-CRITICAL **: 16:07:10.164: IA__gtk_signal_connect_full: assertion 'GTK_IS_OBJECT (object)' failed
sh: lsb_release: not found

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.193: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.193: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.193: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.193: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.193: gdk_pixbuf_get_pixels_with_length: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.193: gdk_pixbuf_get_rowstride: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(anydesk:8113): GdkPixbuf-CRITICAL **: 16:07:10.193: gdk_pixbuf_get_n_channels: assertion 'GDK_IS_PIXBUF (pixbuf)' failed
Trace/breakpoint trap

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10210
Re: Anydesk
« Reply #67 on: December 26, 2021, 07:29:15 AM »
Hi Rabie
I forgot to mention I use TC10. I'll update my previous post to reflect that.

... did you get that with ldconfig ? ...
Yes. That's because when the symlink from the  .deb  file got copied, it got copied as the file it was pointing to.
Instead of  libpangox-1.0.so.0* , use  lib*.so.0.*  to copy the libraries without the symlinks.  ldconfig  will recreate
the symlinks for you.

Offline Rabie

  • Sr. Member
  • ****
  • Posts: 251
Re: Anydesk
« Reply #68 on: December 26, 2021, 07:43:07 AM »
Hi Rabie
I forgot to mention I use TC10. I'll update my previous post to reflect that.

... did you get that with ldconfig ? ...
Yes. That's because when the symlink from the  .deb  file got copied, it got copied as the file it was pointing to.
Instead of  libpangox-1.0.so.0* , use  lib*.so.0.*  to copy the libraries without the symlinks.  ldconfig  will recreate
the symlinks for you.

ok i installed the latest of tinycore 12x
but it won't work, i did exactly what u did
i dont know what am i missing  :'(

dbus is falling back to tc as i wanted
« Last Edit: December 26, 2021, 07:45:53 AM by Rabie »

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10210
Re: Anydesk
« Reply #69 on: December 26, 2021, 08:04:04 AM »
Hi Rabie
It's possible some libraries got recompiled in later versions of Tinycore and broke something.

It's also possible you are missing an extension. Although they are not all necessary, these all appear relevant:
Code: [Select]
tc@E310:~$ ls -1 /usr/local/tce.installed/* | grep -E "gtk|gdk|pix|glib"
/usr/local/tce.installed/dbus-glib
/usr/local/tce.installed/gdk-pixbuf2
/usr/local/tce.installed/glib1
/usr/local/tce.installed/glib2
/usr/local/tce.installed/glibc_add_lib
/usr/local/tce.installed/glibc_apps
/usr/local/tce.installed/glibc_gconv
/usr/local/tce.installed/glibmm
/usr/local/tce.installed/gtk1
/usr/local/tce.installed/gtk2
/usr/local/tce.installed/gtk3
/usr/local/tce.installed/gtkmm
/usr/local/tce.installed/pixman
tc@E310:~$

If you want to try this, you may have to try under TC10 x86.

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10210
Re: Anydesk
« Reply #70 on: December 26, 2021, 08:20:16 AM »
Hi Rabie
I also see  SSL/TLS  errors:
Code: [Select]
  error 2021-12-26 16:14:26.802  local_svc   main   8186   8186                  anynet.ssl_transform - SSL error:14094415:lib(20):func(148):reason(1045)
  error 2021-12-26 16:14:26.802  local_svc   main   8186   8186    9                        handshake - TLS handshake failed (ssl_14094415).
Bothe  gnutls  and  openssl  have been updated since TC10.

Offline Rabie

  • Sr. Member
  • ****
  • Posts: 251
Re: Anydesk
« Reply #71 on: December 26, 2021, 08:55:12 AM »
Hi Rabie
It's possible some libraries got recompiled in later versions of Tinycore and broke something.

It's also possible you are missing an extension. Although they are not all necessary, these all appear relevant:
Code: [Select]
tc@E310:~$ ls -1 /usr/local/tce.installed/* | grep -E "gtk|gdk|pix|glib"
/usr/local/tce.installed/dbus-glib
/usr/local/tce.installed/gdk-pixbuf2
/usr/local/tce.installed/glib1
/usr/local/tce.installed/glib2
/usr/local/tce.installed/glibc_add_lib
/usr/local/tce.installed/glibc_apps
/usr/local/tce.installed/glibc_gconv
/usr/local/tce.installed/glibmm
/usr/local/tce.installed/gtk1
/usr/local/tce.installed/gtk2
/usr/local/tce.installed/gtk3
/usr/local/tce.installed/gtkmm
/usr/local/tce.installed/pixman
tc@E310:~$

If you want to try this, you may have to try under TC10 x86.

Hi Rich, yes man that did it with version 10x

Quote
Hi Rabie
I also see  SSL/TLS  errors:
Code: [Select]
  error 2021-12-26 16:14:26.802  local_svc   main   8186   8186                  anynet.ssl_transform - SSL error:14094415:lib(20):func(148):reason(1045)
  error 2021-12-26 16:14:26.802  local_svc   main   8186   8186    9                        handshake - TLS handshake failed (ssl_14094415).
Bothe  gnutls  and  openssl  have been updated since TC10.

even when i installed openssl and gnutls, i am still getting SSL/TLS errors and anydesk can't make the connection to the Server (See Attachments)
No ID
Code: [Select]
  error 2021-12-26 17:52:04.284  local_svc   main   5755   5755                  anynet.ssl_transform - SSL error:14094415:lib(20):func(148):reason(1045)
  error 2021-12-26 17:52:04.284  local_svc   main   5755   5755    9                        handshake - TLS handshake failed (ssl_14094415).

« Last Edit: December 26, 2021, 08:57:13 AM by Rabie »

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 10210
Re: Anydesk
« Reply #72 on: December 26, 2021, 10:21:39 AM »
Hi Rabie
I have  gnutls3.6, openssl, and openssl-1.1.1  installed.

In your attached image, the text field under  This Desk  has a value of zero. Is that what it defaulted to or did you
change it to zero to hide the  Client-ID?

Offline Rabie

  • Sr. Member
  • ****
  • Posts: 251
Re: Anydesk
« Reply #73 on: December 26, 2021, 11:33:09 AM »
Hi Rabie
I have  gnutls3.6, openssl, and openssl-1.1.1  installed.

In your attached image, the text field under  This Desk  has a value of zero. Is that what it defaulted to or did you
change it to zero to hide the  Client-ID?

no i didn't change anything, its zero because of the TLS Problem, it can't connect to the anydesk Server i think.

i had openssl, and openssl-1.1.1 and just installed gnutls3.6 and retested it:
Code: [Select]
tc@box:~/anydesk-6.0.1$ ls -1 /usr/local/tce.installed /* | gre p -E "gtk|gdk|pix|glib|gnutls|openssl"
/usr/local/tce.installed/dbus-glib
/usr/local/tce.installed/gdk-pixbuf2
/usr/local/tce.installed/gdk-pixbuf2-dev
/usr/local/tce.installed/glib1
/usr/local/tce.installed/glib2
/usr/local/tce.installed/glib2-dev
/usr/local/tce.installed/glib2-python
/usr/local/tce.installed/glibc_add_lib
/usr/local/tce.installed/glibc_apps
/usr/local/tce.installed/glibc_gconv
/usr/local/tce.installed/glibmm
/usr/local/tce.installed/gnutls
/usr/local/tce.installed/gnutls3.6
/usr/local/tce.installed/gtk1
/usr/local/tce.installed/gtk2
/usr/local/tce.installed/gtk2-dev
/usr/local/tce.installed/gtk3
/usr/local/tce.installed/gtkmm
/usr/local/tce.installed/openssl
/usr/local/tce.installed/openssl-1.1.1
/usr/local/tce.installed/openssl-1.1.1-dev
/usr/local/tce.installed/openssl-dev
/usr/local/tce.installed/pixman
/usr/local/tce.installed/pixman-dev

same error in anydesk.trace:
Code: [Select]
error 2021-12-26 20:27:24.882  local_svc   main   6013   6013                  anynet.ssl_transform - SSL error:14094415:lib(20):func(148):reason(1045)
 error 2021-12-26 20:27:24.882  local_svc   main   6013   6013    9                        handshake - TLS handshake failed (ssl_14094415)

Edit:
anydesk started even on the 12x86 Version after i installed the above listed extensions but also with the same TLS error
« Last Edit: December 26, 2021, 12:07:25 PM by Rabie »

Offline Rabie

  • Sr. Member
  • ****
  • Posts: 251
Re: Anydesk
« Reply #74 on: December 26, 2021, 01:08:44 PM »
Hi Rich,

it worked  :D  :D  :D

i didn't do anything alse but wait! and suddenly got the Client ID

thank you very very much for your help, i am so happy  :D


You may have an idea how to get it to work on 64x Version, its not necessary but it would save me so much time, so i don't have to install my system over
« Last Edit: December 26, 2021, 01:13:12 PM by Rabie »